Axis2/C: axis2_http_sender.h File Reference

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_http_sender.h File Reference

axis2 SOAP over HTTP sender More...

`#include <axis2_const.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axis2_msg_ctx.h>`
`#include <axiom_output.h>`
`#include <axis2_http_simple_response.h>`
`#include <axiom_soap_envelope.h>`
`#include <axis2_http_simple_request.h>`

Go to the source code of this file.

#define | AXIS2_HTTP_SENDER_SEND(sender, env, msg_ctx, output, url, soap_action) axis2_http_sender_send(sender, env, msg_ctx,output, url, soap_action)
#define | AXIS2_HTTP_SENDER_SET_CHUNKED(sender, env, chunked) axis2_http_sender_set_chunked(sender, env, chunked)
#define | AXIS2_HTTP_SENDER_SET_OM_OUTPUT(sender, env, om_output) axis2_http_sender_set_om_output (sender, env, om_output)
#define | AXIS2_HTTP_SENDER_SET_HTTP_VERSION(sender, env, version) axis2_http_sender_set_http_version (sender, env, version)
#define | AXIS2_HTTP_SENDER_FREE(sender, env) axis2_http_sender_free(sender, env)
typedef struct axis2_http_sender | axis2_http_sender_t
AXIS2_EXTERN axis2_status_t | axis2_http_sender_send (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axiom_soap_envelope_t *out, const axis2_char_t *str_url, const axis2_char_t *soap_action)
void | axis2_http_sender_util_add_header (const axutil_env_t *env, axis2_http_simple_request_t *request, axis2_char_t *header_name, const axis2_char_t *header_value)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_set_chunked (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_bool_t chunked)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_set_om_output (axis2_http_sender_t *sender, const axutil_env_t *env, axiom_output_t *om_output)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_set_http_version (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_char_t *version)
AXIS2_EXTERN void | axis2_http_sender_free (axis2_http_sender_t *sender, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_get_header_info (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_http_simple_response_t *response)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_process_response (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx, axis2_http_simple_response_t *response)
AXIS2_EXTERN axis2_status_t | axis2_http_sender_get_timeout_values (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axis2_char_t * | axis2_http_sender_get_param_string (axis2_http_sender_t *sender, const axutil_env_t *env, axis2_msg_ctx_t *msg_ctx)
AXIS2_EXTERN axis2_http_sender_t * | axis2_http_sender_create (const axutil_env_t *env)

## Detailed Description

axis2 SOAP over HTTP sender

## Define Documentation

#define AXIS2_HTTP_SENDER_FREE | ( | sender,
|  | env |  | ) | axis2_http_sender_free(sender, env)

Frees the soap over http sender.

#define AXIS2_HTTP_SENDER_SEND | ( | sender,
|  | env,
|  | msg_ctx,
|  | output,
|  | url,
|  | soap_action |  | ) | axis2_http_sender_send(sender, env, msg_ctx,output, url, soap_action)

Send.

#define AXIS2_HTTP_SENDER_SET_CHUNKED | ( | sender,
|  | env,
|  | chunked |  | ) | axis2_http_sender_set_chunked(sender, env, chunked)

Set chunked.

#define AXIS2_HTTP_SENDER_SET_HTTP_VERSION | ( | sender,
|  | env,
|  | version |  | ) | axis2_http_sender_set_http_version (sender, env, version)

Set http version.

#define AXIS2_HTTP_SENDER_SET_OM_OUTPUT | ( | sender,
|  | env,
|  | om_output |  | ) | axis2_http_sender_set_om_output (sender, env, om_output)

Set om output.

## Typedef Documentation

typedef struct axis2_http_sender axis2_http_sender_t

Type name for struct axis2_http_sender_

## Function Documentation

AXIS2_EXTERN axis2_http_sender_t* axis2_http_sender_create | ( | const axutil_env_t * | env | ) |

Parameters:

  | env | pointer to environment struct

AXIS2_EXTERN void axis2_http_sender_free | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env |
| ) |  |  |

Parameters:

  | sender | sender
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN axis2_status_t axis2_http_sender_get_header_info | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_http_simple_response_t * | response |
| ) |  |  |

Parameters:

  | sender | soap over http sender
  | env | pointer to environment struct
  | msg_ctx | pointer to message context
  | response | pointer to response

AXIS2_EXTERN axis2_status_t axis2_http_sender_get_timeout_values | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx |
| ) |  |  |

Parameters:

  | sender | soap over http sender
  | env | pointer to environment struct
  | msg_ctx | pointer to message context

AXIS2_EXTERN axis2_status_t axis2_http_sender_process_response | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axis2_http_simple_response_t * | response |
| ) |  |  |

Parameters:

  | sender | soap over http sender
  | env | pointer to environment struct
  | msg_ctx | pointer to message context
  | response | pointer to response

AXIS2_EXTERN axis2_status_t axis2_http_sender_send | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_msg_ctx_t * | msg_ctx,
|  | axiom_soap_envelope_t * | out,
|  | const axis2_char_t * | str_url,
|  | const axis2_char_t * | soap_action |
| ) |  |  |

Parameters:

  | sender | sender
  | env | pointer to environment struct
  | msg_ctx | pointer to message context
  | out | out
  | str_url | str url
  | soap_action | pointer to soap action

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_sender_set_chunked | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_bool_t | chunked |
| ) |  |  |

Parameters:

  | sender | sender
  | env | pointer to environment struct
  | chunked | chunked

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_sender_set_http_version | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | version |
| ) |  |  |

Parameters:

  | sender | sender
  | env | pointer to environment struct
  | version | pointer to version

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_http_sender_set_om_output | ( | axis2_http_sender_t * | sender,
|  | const axutil_env_t * | env,
|  | axiom_output_t * | om_output |
| ) |  |  |

Parameters:

  | sender | sender
  | env | pointer to environment struct
  | om_output | om output

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE